## org.hibernate.event
Interface PreInsertEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BeanValidationEventListener, JACCPreInsertEventListener

    public interface PreInsertEventListener

extends Serializable

Called before inserting an item in the datastore

Author:
  Gavin King

Method Summary
`boolean` `onPreInsert(PreInsertEvent event)` Return true if the operation should be vetoed

Method Detail

### onPreInsert

    boolean onPreInsert(PreInsertEvent event)

  Return true if the operation should be vetoed

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.